REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single CoworkerMessage record by its Id.
{ "CoworkerId": 123, "CoworkerFullName": "<string>", "CoworkerEmail": "<string>", "CoworkerBillingName": "<string>", "CoworkerCompanyName": "<string>", "EmailAccountId": 123, "EmailAccountDisplayName": "<string>", "EmailAccountEmailAddress": "<string>", "Subject": "<string>", "Body": "<string>", "IsNewMessage": true, "Incoming": true, "MessageId": 123, "ReminderUniqueId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
CoworkerMessage-Read
curl -X GET \ "https://spaces.nexudus.com/api/spaces/coworkermessages/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "CoworkerId": 0, "CoworkerFullName": null, "CoworkerEmail": null, "CoworkerBillingName": null, "CoworkerCompanyName": null, "EmailAccountId": null, "EmailAccountDisplayName": null, "EmailAccountEmailAddress": null, "Subject": null, "Body": null, "IsNewMessage": false, "Incoming": false, "MessageId": 0, "ReminderUniqueId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "CoworkerMessage Example", "LocalizationDetails": null, "CustomFields": null }